package com.example.bobina;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.SeekBar;
import android.widget.SeekBar.OnSeekBarChangeListener;
import android.widget.TextView;

public class Bobina_MainActivity extends Activity 
{
	private SeekBar MBarraC,MBarraL,MBarraN,MBarraR;
	private TextView MTextoC,MTextoL,MTextoN,MTextoR,Mhenrios,Mfrecuencia;
	int capacidad,longitud,vueltas,radio;
	float henrios,frecuencia;
	String sresultado;
	
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_bobina__main);
        
        MBarraC = (SeekBar)findViewById(R.id.ABarraC); 
        MTextoC = (TextView)findViewById(R.id.A_Tcapacidad);
        
        MBarraL = (SeekBar)findViewById(R.id.ABarraL); 
        MTextoL = (TextView)findViewById(R.id.A_Tlongitud);
        
        MBarraN = (SeekBar)findViewById(R.id.ABarraN); 
        MTextoN = (TextView)findViewById(R.id.A_Tvueltas);
        
        MBarraR = (SeekBar)findViewById(R.id.ABarraR); 
        MTextoR = (TextView)findViewById(R.id.A_Tradio);
        
        Mfrecuencia = (TextView)findViewById(R.id.Afrecuencia);
        Mhenrios = (TextView)findViewById(R.id.Ahenrios);
 
        
        MBarraC.setOnSeekBarChangeListener(new OnSeekBarChangeListener() 
        {
        	@Override
			public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser)
			{
				capacidad=progress+1;
        		MTextoC.setText(capacidad + " pF");
        		calculo();
			}
			@Override
			public void onStartTrackingTouch(SeekBar seekBar) 			{			}
			@Override
			public void onStopTrackingTouch(SeekBar seekBar) 			{			}			
		});
       
        MBarraL.setOnSeekBarChangeListener(new OnSeekBarChangeListener() 
        {
        	@Override
			public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser)
			{
        		longitud=progress+1;
				MTextoL.setText(longitud +" mm  Longitud");
				calculo();
			}			
			@Override
			public void onStartTrackingTouch(SeekBar seekBar) 			{			}
			@Override
			public void onStopTrackingTouch(SeekBar seekBar) 			{			}			
		});
        
        MBarraN.setOnSeekBarChangeListener(new OnSeekBarChangeListener() 
        {
        	@Override
			public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser)
			{
        		vueltas=progress+1;
        		MTextoN.setText(vueltas +" vueltas");
        		calculo();
			}			
			@Override
			public void onStartTrackingTouch(SeekBar seekBar) 			{			}
			@Override
			public void onStopTrackingTouch(SeekBar seekBar) 			{			}
		});
        
        MBarraR.setOnSeekBarChangeListener(new OnSeekBarChangeListener() 
        {
        	@Override
			public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser)
			{
        		radio=progress+1;
        		MTextoR.setText(radio +" mm  Radio"); 
        		calculo();
			}			
			@Override
			public void onStartTrackingTouch(SeekBar seekBar) 			{			}
			@Override
			public void onStopTrackingTouch(SeekBar seekBar) 			{			}			
		});
                   
        
    }
    
    public void calculo() 
    {
    	//    h = (.394 * r ^ 2 * n ^ 2) / (9 * r + 10 * l)   // r y l en centimetros
    	// 	 f= 1 / (6.283 * SQR(h * .000001 * c * 1E-12))    	
    	henrios=(float) (0.394 * (radio *radio) * (vueltas * vueltas))/(100*(9 * radio/10 + longitud) );
    	
    	frecuencia=(float) 0.000001 * henrios * capacidad * (float) 1E-12;
    	frecuencia=(float) Math.sqrt(frecuencia);
    	frecuencia=(float) 6.283 * frecuencia;
    	frecuencia=(float) 1 / frecuencia;
    	frecuencia/=(float) 1000000;
    	
    	sresultado = String.format("%1.2f micro Henrios", henrios);
    	Mhenrios.setText(sresultado);
    	sresultado = String.format("Resonancia %1.2f MHz", frecuencia);
    	Mfrecuencia.setText(sresultado);
    	
    }
    
}
